Bug 431316 - Periodically rotate or modify recommendations so it doesn't look like a dead ecosystem
Summary: Periodically rotate or modify recommendations so it doesn't look like a dead ...
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Applications
Component: discover (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist
Target Milestone: ---
Assignee: Dan Leinir Turthra Jensen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-08 15:40 UTC by Nate Graham
Modified: 2022-10-29 03:34 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.27


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2021-01-08 15:40:40 UTC
This is split out from Bug 430620.

Basically, Discover's current hardcoded static list of recommendations could stand to be improved. People seem to be accustomed to dynamic or at least periodically changing recommendations, and the lack of this makes them think the ecosystem is dead or the app is broken.

We could consider at least rotating the recommendations from time to time, if not making them fully dynamic based on the user's currently-installed software.
Comment 1 Aleix Pol 2021-02-18 18:42:48 UTC
+1 yes please
Comment 2 Aleix Pol 2022-10-28 23:43:05 UTC
Git commit 88d166437e11d88f3de0b9411e729deb7fd93773 by Aleix Pol, on behalf of Carl Schwan.
Committed on 28/10/2022 at 23:37.
Pushed by apol into branch 'master'.

Revamp homepage

Based on Carl Schwan's work on !81
Fixes #19

A  +188  -0    discover/AbstractAppsModel.cpp     [License: GPL(3+eV) GPL(v3.0) GPL(v2.0)]
C  +11   -19   discover/AbstractAppsModel.h [from: discover/FeaturedModel.h - 075% similarity]
M  +2    -0    discover/CMakeLists.txt
M  +2    -0    discover/DiscoverObject.cpp
M  +6    -119  discover/FeaturedModel.cpp
M  +3    -35   discover/FeaturedModel.h
A  +27   -0    discover/OdrsAppsModel.cpp     [License: GPL(3+eV) GPL(v3.0) GPL(v2.0)]
A  +21   -0    discover/OdrsAppsModel.h     [License: GPL(3+eV) GPL(v3.0) GPL(v2.0)]
M  +97   -30   discover/qml/BrowsingPage.qml
A  +71   -0    discover/qml/GridApplicationDelegate.qml     [License: LGPL(v2.0+)]
M  +1    -0    discover/resources.qrc
M  +18   -4    libdiscover/Category/Category.cpp
M  +12   -9    libdiscover/Category/Category.h
M  +1    -0    libdiscover/Category/CategoryModel.cpp
M  +1    -1    libdiscover/appstream/AppStreamIntegration.h
M  +14   -0    libdiscover/appstream/OdrsReviewsBackend.cpp
M  +7    -0    libdiscover/appstream/OdrsReviewsBackend.h
M  +5    -1    libdiscover/backends/FlatpakBackend/FlatpakBackend.cpp
M  +4    -4    libdiscover/backends/KNSBackend/KNSBackend.cpp
M  +7    -7    libdiscover/resources/AbstractResource.cpp
M  +28   -1    libdiscover/resources/ResourcesProxyModel.cpp
M  +4    -0    libdiscover/resources/ResourcesProxyModel.h

https://invent.kde.org/plasma/discover/commit/88d166437e11d88f3de0b9411e729deb7fd93773